
QGIS Application - Bug report #14506

save layer as dxf and units

2016-03-16 02:50 AM - Bernhard Ströbl

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22479

Description

Problem description: task is to export a single layer to dxf, CRS of both, the project and the layer is EPSG:25832 (units = metres). Using 

layer - save as with option dxf results in a dxf file with units = inches (although exported coordinates are EPSG:25832 coordinates, i.e.

units should be metres). Digging into this I found this description on the ogr side explainig that the default is English - Inches. To use other

units one needs to use a different header file.

IMHO this behaviour is very counterintuitive, leeds to wrong results and is not really solveable from a user's point of view (change the

header file being installed with QGIS, or change the resulting dxf with an editor).

I see these possible solutions

    1. delete this option completely as we now have the dxf export function

    2. enable the user to choose a header file and use the default only if left blank

    3. automatically change all units in the resulting dxf file to the ones used in the chosen CRS of the export dialog

I would opt for solution 3 if we do not follow solution 1

History

#1 - 2016-04-09 10:16 AM - Giovanni Manghi

- Operating System deleted (any)

#2 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-03-06 03:36 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://www.gdal.org/drv_dxf.html
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
